Skip to main content
GET
/
applications
/
associated-people
/
{associatedPersonId}
Retrieve an associated person
curl --request GET \
  --url https://api.equalsmoney.com/v2/applications/associated-people/{associatedPersonId} \
  --header 'Authorization: <api-key>'
{
  "id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
  "firstName": "John",
  "lastName": "Smith",
  "dateOfBirth": "1990-01-01",
  "emailAddress": "john.smith@example.com",
  "phoneNumber": "+447798121212",
  "nationalities": [
    "GB"
  ],
  "taxId": "123-45-678",
  "address": {
    "streetName": "Upper Thames Street",
    "buildingNumber": "68",
    "buildingName": "Vintners Place",
    "postcode": "EC4V 3BJ",
    "city": "London",
    "region": "Greater London",
    "countryCode": "GB"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

associatedPersonId
string<uuid>
required

The ID of the associated person to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

Response

200 - application/json

OK

id
string<uuid>
required

The ID of the associated person to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

firstName
string
required
Required string length: 1 - 255
Example:

"John"

lastName
string
required
Required string length: 1 - 255
Example:

"Smith"

dateOfBirth
string
required
Example:

"1990-01-01"

emailAddress
string<email> | null
required
Example:

"john.smith@example.com"

phoneNumber
string | null
required
Maximum string length: 50
Example:

"+447798121212"

nationalities
enum<string>[] | null
required
Available options:
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AO,
AQ,
AR,
AS,
AT,
AU,
AW,
AX,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BQ,
BR,
BS,
BT,
BV,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CR,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DJ,
DK,
DM,
DO,
DZ,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
FI,
FJ,
FK,
FM,
FO,
FR,
GA,
GB,
GD,
GE,
GF,
GG,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HM,
HN,
HR,
HT,
HU,
ID,
IE,
IL,
IM,
IN,
IO,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SV,
SX,
SY,
SZ,
TC,
TD,
TF,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
XK,
YE,
YT,
ZA,
ZM,
ZW
taxId
string | null
required
Required string length: 1 - 255
Example:

"123-45-678"

address
object
required
createdAt
string<date-time>
required

The date the Resource was initially created. ISO 8601 format without milliseconds.

updatedAt
string<date-time>
required

The date the Resource was last modified. ISO 8601 format without milliseconds.